Bug 127126 - Want support for Billionton USB 2.0 card reader
Want support for Billionton USB 2.0 card reader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 07:52 EDT by Toralf
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-14 15:08:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2004-07-02 07:52:34 EDT
Description of problem:
We have a Billonton USB 2.0 card reader, which is a 4-in unit with 4
slots:
1. CompactFlash/Microdrive
2. Smart Media
3. SD/MMC
4. Memory Stick

Full support for this device in the default updfstab config would be
nice... 
The unit is identified as 4 separate SCSI devices as follows:

Host: scsi3 Channel: 00 Id: 00 Lun: 00
  Vendor: Generic  Model: USB Storage-SMC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 01
  Vendor: Generic  Model: USB Storage-CFC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 02
  Vendor: Generic  Model: USB Storage-MMC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 03
  Vendor: Generic  Model: USB Storage-MSC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02

The last of these is actually identified already; it gives an fstab
entry for /mnt/memorystick. For the others I'm currently using the
following entries in my custom updfstab.conf:

device flash {
    partition 1
    match   hd CFC
}

device mmc {
    partition 1
    match   hd MMC
}

device smartmedia {
    partition 1
    match   hd SMC
}

which seem to work all right, although I've tested with actual media
only for SD/MMC. Also, I'm not entirely sure what names to use to
identify the SD/MMC and Smart Media, as no units of this type appear
to be supported by /etc/updfstab.conf.default
Comment 1 Bill Nottingham 2004-07-14 15:08:25 EDT
Added in CVS, will be in 0.124-1.

Note You need to log in before you can comment on or make changes to this bug.